<script setup>
import { useI18n } from 'vue-i18n';
import VnCard from 'components/common/VnCard.vue';
import AliasDescriptor from './AliasDescriptor.vue';
const { t } = useI18n();
</script>

<template>
    <VnCard
        data-key="Alias"
        base-url="MailAliases"
        :descriptor="AliasDescriptor"
        search-data-key="AccountAliasList"
        :searchbar-props="{
            url: 'MailAliases',
            info: t('mailAlias.searchInfo'),
            label: t('mailAlias.search'),
            searchUrl: 'table',
        }"
    />
</template>
